VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions
vmware::cis::tagging::CategoryModel Class Reference

The `CategoryModel` class defines a category that is used to group one or more tags. More...

List of all members.

## Classes
class | Cardinality
| The `CategoryModel.Cardinality` enumerated type defines the number of tags in a category that can be assigned to an object. More...
## Public Member Functions
| CategoryModel ()
| Creates a default new instance.
string | GetId ()
| The unique identifier of the category.
void | SetId (string id)
| The unique identifier of the category.
string | GetName ()
| The display name of the category.
void | SetName (string name)
| The display name of the category.
string | GetDescription ()
| The description of the category.
void | SetDescription (string description)
| The description of the category.
vmware.cis.tagging.CategoryModel.Cardinality | GetCardinality ()
| The associated cardinality ( SINGLE, MULTIPLE) of the category.
void | SetCardinality (vmware.cis.tagging.CategoryModel.Cardinality cardinality)
| The associated cardinality ( SINGLE, MULTIPLE) of the category.
global::System.Collections.Generic.HashSet < string > | GetAssociableTypes ()
| The types of objects that the tags in this category can be attached to.
void | SetAssociableTypes (global::System.Collections.Generic.HashSet< string > associableTypes)
| The types of objects that the tags in this category can be attached to.
global::System.Collections.Generic.HashSet < string > | GetUsedBy ()
| The set of users that can use this category.
void | SetUsedBy (global::System.Collections.Generic.HashSet< string > usedBy)
| The set of users that can use this category.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `CategoryModel` class defines a category that is used to group one or more tags.

## Constructor & Destructor Documentation

vmware::cis::tagging::CategoryModel::CategoryModel | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::cis::tagging::CategoryModel::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::cis::tagging::CategoryModel::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::cis::tagging::CategoryModel::_GetType | ( |  | ) | `[inline]`

bool vmware::cis::tagging::CategoryModel::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::cis::tagging::CategoryModel::_Validate | ( |  | ) | `[inline]`

override bool vmware::cis::tagging::CategoryModel::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.HashSet<string> vmware::cis::tagging::CategoryModel::GetAssociableTypes | ( |  | ) | `[inline]`

The types of objects that the tags in this category can be attached to.

If the set is empty, then tags can be attached to all types of objects. This field works only for objects that reside in Inventory Service (IS). For non IS objects, this check is not performed today and hence a tag can be attached to any non IS object.

vmware.cis.tagging.CategoryModel.Cardinality vmware::cis::tagging::CategoryModel::GetCardinality | ( |  | ) | `[inline]`

The associated cardinality ( SINGLE, MULTIPLE) of the category.

string vmware::cis::tagging::CategoryModel::GetDescription | ( |  | ) | `[inline]`

The description of the category.

override int vmware::cis::tagging::CategoryModel::GetHashCode | ( |  | ) | `[inline]`

string vmware::cis::tagging::CategoryModel::GetId | ( |  | ) | `[inline]`

The unique identifier of the category.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Category` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

string vmware::cis::tagging::CategoryModel::GetName | ( |  | ) | `[inline]`

The display name of the category.

global::System.Collections.Generic.HashSet<string> vmware::cis::tagging::CategoryModel::GetUsedBy | ( |  | ) | `[inline]`

The set of users that can use this category.

To add users to this, you need to have the edit privilege on the category. Similarly, to unsubscribe from this category, you need the edit privilege on the category. You should not modify other users subscription from this set.

void vmware::cis::tagging::CategoryModel::SetAssociableTypes | ( | global::System.Collections.Generic.HashSet< string > | associableTypes | ) | `[inline]`

The types of objects that the tags in this category can be attached to.

If the set is empty, then tags can be attached to all types of objects. This field works only for objects that reside in Inventory Service (IS). For non IS objects, this check is not performed today and hence a tag can be attached to any non IS object.

void vmware::cis::tagging::CategoryModel::SetCardinality | ( | vmware.cis.tagging.CategoryModel.Cardinality | cardinality | ) | `[inline]`

The associated cardinality ( SINGLE, MULTIPLE) of the category.

void vmware::cis::tagging::CategoryModel::SetDescription | ( | string | description | ) | `[inline]`

The description of the category.

void vmware::cis::tagging::CategoryModel::SetId | ( | string | id | ) | `[inline]`

The unique identifier of the category.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.cis.tagging.Category` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.cis.tagging.Category` .

void vmware::cis::tagging::CategoryModel::SetName | ( | string | name | ) | `[inline]`

The display name of the category.

void vmware::cis::tagging::CategoryModel::SetUsedBy | ( | global::System.Collections.Generic.HashSet< string > | usedBy | ) | `[inline]`

The set of users that can use this category.

To add users to this, you need to have the edit privilege on the category. Similarly, to unsubscribe from this category, you need the edit privilege on the category. You should not modify other users subscription from this set.

override string vmware::cis::tagging::CategoryModel::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- CategoryModel.cs